Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 549605 - Review Request: libopenr2 - MFC/R2 call setup library
Summary: Review Request: libopenr2 - MFC/R2 call setup library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-12-22 03:28 UTC by Itamar Reis Peixoto
Modified: 2010-12-17 15:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 15:27:21 UTC


Attachments (Terms of Use)

Description Itamar Reis Peixoto 2009-12-22 03:28:53 UTC
Spec URL: http://itamarjp.fedorapeople.org/libopenr2/libopenr2.spec
SRPM URL: http://itamarjp.fedorapeople.org/libopenr2/libopenr2-1.2.0-1.fc13.src.rpm
Description: 

OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the Zapata Telephony interface. The MF R2 tones required for the signalling are
generated by code borrowed from the LGPL library SpanDSP written by Steve
Underwood, the user has the option to provide a MF interface to use his own
MF R2 tone generation and detection so the library will use them when needed,
that's why this library does not depend directly on spandsp, libteletone or
zaptel for tone generation and detection
(depends on zaptel for ABCD bits and general media transmission though)



E1 with r2 signalling is used in brazil and mexico.



http://koji.fedoraproject.org/koji/taskinfo?taskID=1885261

Comment 1 Michael Schwendt 2010-01-11 20:03:01 UTC
> %files
> %doc %dir doc/asterisk

Directories are never marked %doc.

> %config(noreplace) %{_sysconfdir}/openr2/r2proto.conf
> %config(noreplace) %{_sysconfdir}/openr2/r2test.conf

Which package owns %{_sysconfdir}/openr2/?

> %files devel
> %doc AUTHORS ChangeLog COPYING COPYING.LESSER NEWS README TODO

Is it really necessary to duplicate all these %doc files in this package? The -devel package already depends on the base package anyway.

> %{_includedir}/openr2.h
> %{_includedir}/openr2/*.h

Directory %{_includedir}/openr2/ is not included.


> License:        LGPLv2
> %doc AUTHORS ChangeLog COPYING COPYING.LESSER NEWS README TODO

Interestingly, files COPYING and COPYING.LESSER contain the GPL v3 and the LGPL v3, respectively. And many of the source files contain either a LGPLv2 or LGPLv2+ header, so the licensing is not clear yet.

Comment 2 Jason Tibbitts 2010-11-14 18:48:12 UTC
Were the licensing issues ever clarified?  How about some response to the above commentary?


Note You need to log in before you can comment on or make changes to this bug.